config/routes.rb
Rails.application.routes.draw do
  resources :gamers
  root 'home#index'

  get 'home/profil', to: 'home#profil'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/gamer.rb
class Gamer < ApplicationRecord
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/gamers_controller.rb
class GamersController < ApplicationController
  before_action :set_gamer, only: [:show, :edit, :update, :destroy]

  # GET /gamers
  # GET /gamers.json
  def index
    @gamers = Gamer.all
  end

  # GET /gamers/1
  # GET /gamers/1.json
  def show
  end

  # GET /gamers/new
  def new
    @gamer = Gamer.new
  end

  # GET /gamers/1/edit
  def edit
  end

  # POST /gamers
  # POST /gamers.json
  def create
    @gamer = Gamer.new(gamer_params)

    respond_to do |format|
      if @gamer.save
        format.html { redirect_to @gamer, notice: 'Gamer was successfully created.' }
        format.json { render :show, status: :created, location: @gamer }
      else
        format.html { render :new }
        format.json { render json: @gamer.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /gamers/1
  # PATCH/PUT /gamers/1.json
  def update
    respond_to do |format|
      if @gamer.update(gamer_params)
        format.html { redirect_to @gamer, notice: 'Gamer was successfully updated.' }
        format.json { render :show, status: :ok, location: @gamer }
      else
        format.html { render :edit }
        format.json { render json: @gamer.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /gamers/1
  # DELETE /gamers/1.json
  def destroy
    @gamer.destroy
    respond_to do |format|
      format.html { redirect_to gamers_url, notice: 'Gamer was successfully destroyed.' }
      format.json { head :no_content }
      format.js { render :layout => false }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_gamer
      @gamer = Gamer.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def gamer_params
      params.require(:gamer).permit(:name, :game)
    end
end

app/controllers/home_controller.rb
class HomeController < ApplicationController
  def index
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/gamers_helper.rb
module GamersHelper
end

app/helpers/home_helper.rb
module HomeHelper
end

app/views/gamers/_form.html.erb
<%= form_with(model: gamer, local: true) do |form| %>
  <% if gamer.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(gamer.errors.count, "error") %> prohibited this gamer from being saved:</h2>

      <ul>
      <% gamer.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name %>
  </div>

  <div class="field">
    <%= form.label :game %>
    <%= form.text_field :game %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>

app/views/gamers/destroy.js.erb
$('.delete_gamer').bind('ajax:success', function() {
   $(this).closest('tr').fadeOut();
});

app/views/gamers/edit.html.erb
<h1>Editing Gamer</h1>

<%= render 'form', gamer: @gamer %>

<%= link_to 'Show', @gamer %> |
<%= link_to 'Back', gamers_path %>

app/views/gamers/index.html.erb
<div class="ranking">
  <p id="notice"><%= notice %></p>

  <h2>Ranking</h2>
  <table>
    <thead>
      <tr>
        <th>Name</th>
        <th>Game</th>
        <th colspan="3"></th>
      </tr>
    </thead>

    <tbody>
      <% @gamers.each do |gamer| %>
        <tr>
          <td><%= gamer.name %></td>
          <td><%= gamer.game %></td>
          <td><%= gamer.id %></td>
          <td><%= link_to 'Show', gamer %></td>
          <!-- <td><%= link_to 'Edit', edit_gamer_path(gamer) %></td>
          <td><%= link_to 'Destroy', gamer, method: :delete, data: { confirm: 'Are you sure?' }, :remote => true, :class => 'delete_gamer' %></td> -->
        </tr>
      <% end %>
    </tbody>
  </table>

  <br>

  <%= link_to 'New Gamer', new_gamer_path %>
  <%= link_to 'Home page', root_path %>

</div>

app/views/gamers/new.html.erb
<h1>New Gamer</h1>

<%= render 'form', gamer: @gamer %>

<%= link_to 'Back', gamers_path %>

app/views/gamers/show.html.erb
<div class="special-gamer-card">
  <div class="header-card">
    <%= link_to 'Edit', edit_gamer_path(@gamer) %>
    <img src="https://www.torcedores.com/content/uploads/2017/04/13355510_288240618182892_42057519_n1.jpg" alt="">
    <h1>
      <%= @gamer.name %>
    </h1>
    <p>
      <strong>Game:</strong>
      <%= @gamer.game %>
    </p>
    <p class="bio">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt</p>
  </div>
<div class="mid-card">
  <div class="graph-card">
    <p>this a fake graph</p>
    <img src="http://www.r-graph-gallery.com/wp-content/uploads/2016/05/142_basic_radar_chart_1.png" alt="">
  </div>
  <div class="activity-card">
    <h3>Real name</h3>
    <ul>
      <li><img src="https://cdn1.iconfinder.com/data/icons/logotypes/32/square-facebook-128.png" alt=""> </li>
      <li><img src="https://cdn1.iconfinder.com/data/icons/logotypes/32/twitter-128.png" alt=""> </li>
      <li><img src="https://cdn1.iconfinder.com/data/icons/logotypes/32/youtube-128.png" alt=""> </li>
    </ul>
  </div>
</div>

<p id="notice"><%= notice %></p>
<%= link_to 'Back', gamers_path %>
</div>

<style media="screen">

  .special-gamer-card{
    height: 100vh;
    width: 100%;
    text-align: center;
    display: flex;
    flex-direction: column;
  }
  .special-gamer-card .header-card{
    justify-content: center;
    padding-top: 100px;
    background: url("https://d2v9y0dukr6mq2.cloudfront.net/video/thumbnail/YqGSkmb/futuristic-technology-abstract-background_4kbrmfuze__F0000.png");
    background-size: cover;
  }
  .special-gamer-card .header-card a{
    top: 70px;
    border: 4px solid #000;
    border-radius: 35px;
    padding: 0em 2em;
    background: #222;
    color: #EEE;
    text-decoration: none;
    position: absolute;
    top: 70px;
    right: 5px;
    box-shadow: inset 0 0 30px rgba(0,0,0,1);
    overflow: hidden;
  }
  .special-gamer-card .header-card a:before{
      content: '';
      position: absolute;
      top: 0;
      left: -10px;
      width: 70%;
      height: 100%;
      background: rgba(255,255,255,.1);
      transition: .5s;
      transform: skewX(-15deg);
  }
  .special-gamer-card .header-card a:hover:before{
      left: 210px;
  }
  .special-gamer-card .header-card a:after{
      content: '';
      position: absolute;
      top: 0;
      left: -70px;
      width: 50px;
      height: 100%;
      background: rgba(255,255,255,.1);
      transition: .8s;
      transform: skewX(-15deg);
      transition-delay: .3s;
  }
  .special-gamer-card .header-card a:hover:after{
      left: 210px;
  }
  .special-gamer-card .header-card img{
    width: 40%;
    border-radius: 100%;
  }
  .special-gamer-card .header-card .bio{
    background-color: #EEE;
    padding: 1em;
    font-weight: 100;
    text-align: justify;
  }
  .mid-card{
    display: flex;
    background: red;
  }
  .graph-card{
    flex: 1;
    background: #555;
  }
  .graph-card img{
    width: 100%;

  }
  .activity-card{
    flex:1;
    background: #555AAA;
  }
  .activity-card li{
    display: inline;
  }
  .activity-card li img{
    width: 40px;
  }
</style>

app/views/home/index.html.erb
<div class="next">
  <h2>up next</h2>
  <div class="section section-top">
    <div class="article">
      <h3>title</h3>
      <img src="https://smashgg.imgix.net/images/tournament/48366/image-221f011846ea4c106baf74833d29b8f3.jpg?auto=compress,format" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/headerImages/image.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/par/image_900304602.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
  </div>
  <div class="section">
    <div class="article">
      <h3>title</h3>
      <img src="https://smashgg.imgix.net/images/tournament/48366/image-221f011846ea4c106baf74833d29b8f3.jpg?auto=compress,format" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/headerImages/image.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/par/image_900304602.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
  </div>
  <div class="section">
    <div class="article">
      <h3>title</h3>
      <img src="https://smashgg.imgix.net/images/tournament/48366/image-221f011846ea4c106baf74833d29b8f3.jpg?auto=compress,format" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/headerImages/image.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/par/image_900304602.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
  </div>
</div>
<!-- tournanament archives -->
<div class="past">
  <h2>past</h2>

  <div class="section">
    <div class="article">
      <h3>title</h3>
      <img src="https://smashgg.imgix.net/images/tournament/48366/image-221f011846ea4c106baf74833d29b8f3.jpg?auto=compress,format" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/headerImages/image.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/par/image_900304602.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
  </div>
  <div class="section">
    <div class="article">
      <h3>title</h3>
      <img src="https://smashgg.imgix.net/images/tournament/48366/image-221f011846ea4c106baf74833d29b8f3.jpg?auto=compress,format" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/headerImages/image.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/par/image_900304602.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
  </div>
  <div class="section">
    <div class="article">
      <h3>title</h3>
      <img src="https://smashgg.imgix.net/images/tournament/48366/image-221f011846ea4c106baf74833d29b8f3.jpg?auto=compress,format" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/headerImages/image.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/par/image_900304602.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
  </div>
  <div class="section">
    <div class="article">
      <h3>title</h3>
      <img src="https://smashgg.imgix.net/images/tournament/48366/image-221f011846ea4c106baf74833d29b8f3.jpg?auto=compress,format" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/headerImages/image.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/par/image_900304602.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
  </div>
  <div class="section">
    <div class="article">
      <h3>title</h3>
      <img src="https://smashgg.imgix.net/images/tournament/48366/image-221f011846ea4c106baf74833d29b8f3.jpg?auto=compress,format" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/headerImages/image.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
    <div class="article">
      <h3>title</h3>
      <img src="https://media.contentapi.ea.com/content/www-easports/en_US/madden-nfl/news/2018/young-kiv-wins-ea-sports-madden-nfl-18-bowl/_jcr_content/par/image_900304602.img.jpg" alt="">
      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna a</p>
    </div>
</div>
</div>

app/views/home/profil.html.erb
<div class="classement">
  <div class="classement-header">

  </div>

  <div class="classement-game">

    <div class="classement-cover">
      <h3><%= link_to "Classement", root_path %></h3>
      <img src="http://www.lepoint.fr/images/2018/04/18/14525391lpw-14526018-article-jpg_5174276.jpg" alt="">
      <div class="classement-players">
        <h2>Top 10</h2>
        <table>
          <tr>
            <th>Position</th>
            <th>@Name</th>
            <th>Note</th>
          </tr>
          <tr>
            <td>1</td>
            <td>Geraldy</td>
            <td>9.9</td>
          </tr>
          <tr>
            <td>2</td>
            <td>Thomas</td>
            <td>9.7</td>
          </tr>
          <tr>
            <td>3</td>
            <td>Alison</td>
            <td>9.3</td>
          </tr>
          <tr>
            <td>4</td>
            <td>Caro</td>
            <td>8.9</td>
          </tr>
          <tr>
            <td>5</td>
            <td>Larry</td>
            <td>7.9</td>
          </tr>
          <tr>
            <td>6</td>
            <td>Kevin</td>
            <td>6.7</td>
          </tr>
        </table>
      </div>
    </div>
    <div class="classement-cover">
      <h3>Fifa 18</h3>
      <img src="https://media.contentapi.ea.com/content/dam/ea/easports/fifa/home/2017/june/5/homepage-share.jpg" alt="">
    </div>
    <div class="classement-cover">
      <h3>Tekken 7</h3>
      <img src="https://gameactuality.com/wp-content/uploads/2017/07/Tekken-7-05-HD.png" alt="">
    </div>
  </div>

</div>
<style media="screen">
  .classement{
    background: #EEE;
    height: 100%;
    width: 100%;
    text-align: center;
  }
  .classement .classement-header{
    padding-top: 350px;
    background: url("https://foot49.fff.fr/wp-content/uploads/sites/36/2017/11/classement_general.png");
    background-repeat: no-repeat;
    background-position: center center;
  }
  .classement-game{
    background: #FFF;
  }
  .classement-game .classement-cover{
    width: 90%;
    padding: 5px;
    margin: auto;
    overflow: hidden;
  }
  .classement-game img{
    width: 100%;
  }
  .classement-players{
    background: rgba(31, 31, 81,1);
    color: #FFF;
  }
  .classement-players table{
    width: 100%;
  }
  table tr{
    background: #EEE;
    color: #222;
  }
  table th{
    background: rgba(191, 55, 105,1);
    color: #FFF;
    padding: 5px;
    font-style: italic;
  }


</style>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>App THP</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://fonts.googleapis.com/css?family=Oswald:200,400" rel="stylesheet">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <!-- Header -->
    <%= render 'layouts/layout/header' %>

    <%= yield %>

    <!-- Footer -->
    <script type="text/javascript"></script>
  </body>
  <%= render 'layouts/layout/footer' %>
</html>

app/views/layouts/layout/_footer.html.erb
<footer>
    <p>© 2018, Made with ❤️ in France.</p>
</footer>

app/views/layouts/layout/_header.html.erb
<header class="main-header">
<nav>
  <div class="logo">
    <img src="https://media.eventhubs.com/static/images/eventhubslogo1.png" alt="logo">
  </div>
  <div class="search">
    <form id="demo-2">
	    <input type="search" placeholder="Search">
    </form>
  </div>
  <div class="menudesk">
    <ul class="">
      <li><%= link_to "News", root_path, class: "news" %></li>
      <li><%= link_to "Rank", home_profil_path, class: "rank" %></li>
      <li><%= link_to "Profil", gamers_path, class: "profil" %></li>
    </ul>
  </div>
  <div id="nav-toggle">
    <div class="hamburger"></div>
  </div>
</nav>
<div id="menu-app-slide" class="">
  <div class="menuapp">
    <div class="container">
      <div class="profil">
        <img src="https://www.les-transferts.com/wp-content/uploads/2018/05/52a1abaa-5538-4590-b365-c840a82a2402.jpg" alt="">
        <p>@Username</p>
      </div>
    </div>
    <ul class="menu-link">
      <li><%= link_to "Home", root_path, class: "news" %></li>
      <li><%= link_to "Profil", gamers_path %></li>
      <li><%= link_to "Classement", gamers_path %></li>
      <li><%= link_to "Partenaire", gamers_path %></li>
      <li><%= link_to "Logout", gamers_path %></li>
    </ul>
  </div>
</div>
</header>